import {
  newComersComponent
} from './components/new-comers/new-comers.component';
import {
  introOptionComponent
} from './components/intro-option/intro-option.component';
import {
  IntroService
} from './services/intro.service';
import {
  introOldStagerComponent
} from './components/intro-oldStager/intro-oldStager.component';
import {
  introLookAroundComponent
} from './components/intro-lookAround/intro-lookAround.component';
import {
  introCouponActivityComponent
} from './components/intro-couponActivity/intro-couponActivity.component';
import {
  introQuestionComponent
} from './components/intro-question/intro-question.component';

import './components/intro-couponActivity/intro-couponActivity.less';
import './components/intro-lookAround/intro-lookAround.less';
import './components/intro-oldStager/intro-oldStager.less';
import './components/intro-option/intro-option.less';
import './components/intro-question/intro-question.less';
import './components/new-comers/new-comers.less';

import { alpulOptions } from './settings/alpul';
import { hiOptions } from './settings/hi';
import { couponOptions } from './settings/coupon';
import { jdOptions } from './settings/jd';
import { koubeiOptions } from './settings/koubei';
import { okOptions } from './settings/ok';
import { viewCaseOptions } from './settings/view-case';
import { weixinOptions } from './settings/weixin';
import { laobiOptions } from './settings/laobi';
import { finishOptions } from './settings/finish';

angular.module('cil.intros', [])
  .constant('alpulOptions', alpulOptions)
  .constant('couponOptions', couponOptions)
  .constant('hiOptions', hiOptions)
  .constant('jdOptions', jdOptions)
  .constant('koubeiOptions', koubeiOptions)
  .constant('laobiOptions', laobiOptions)
  .constant('okOptions', okOptions)
  .constant('viewCaseOptions', viewCaseOptions)
  .constant('weixinOptions', weixinOptions)
  .constant('finishOptions', finishOptions)
  .service('introService', IntroService)
  .component('newComers', newComersComponent)
  .component('introOption', introOptionComponent)
  .component('introOldStager', introOldStagerComponent)
  .component('introLookAround', introLookAroundComponent)
  .component('introCouponActivity', introCouponActivityComponent)
  .component('introQuestion', introQuestionComponent);